using System;
using System.Collections.Generic;
using System.Text;
using System.Data;

using BookShopOnline.Model;

namespace BookShopOnline.IDal
{
   public interface IBookType
    {
       void InsertBookType(BookType bookType);

       IList<BookType> SelectRootBookType();

       IList<BookType> SelectSubBooType(int parentID);

       IList<BookType> SelectAllBookType();

       void ResetBookTypeListCached();

       int UpdateBookType(BookType bookType);

       int DeleteBookType(int bookTypeID);
          
    }
}
